<script>
    export let selected;
</script>

<select bind:value={selected}>

    <option value="plain">		Plain Text		</option>

    <optgroup label="Hashing">
        <option value="md5">		md5			</option>
        <option value="sha224">		sha224		</option>
        <option value="sha256">		sha256		</option>
    </optgroup>

    <optgroup label="Other">
        <option value="base64">		base64		</option>
        <option value="morse">		Morse Code	</option>
        <option value="caesar">		Caesar		</option>
        <option value="vigenere">	Vigenere	</option>
    </optgroup>
    
</select>

<style>
    select {
		border-radius: var(--border-radius-small);
		padding: 0.5em;
		border: 1px solid var(--background-harder);
		/* border: 1px solid var(--accent-secondary); */
		box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 12px;
    }
</style>